Runtime

## org.eclipse.gmf.runtime.emf.ui.services.parser
Class ParserHintAdapter

    java.lang.Object
      org.eclipse.gmf.runtime.emf.ui.services.parser.ParserHintAdapter

All Implemented Interfaces:
  IAdaptable

    public class ParserHintAdapter

extends java.lang.Object
implements IAdaptable

Constructor Summary
`ParserHintAdapter(org.eclipse.emf.ecore.EObject element, java.lang.String parserHint)` Method ParserHintAdapter.

Method Summary
`java.lang.Object` `getAdapter(java.lang.Class adapter)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParserHintAdapter

    public ParserHintAdapter(org.eclipse.emf.ecore.EObject element,
                             java.lang.String parserHint)

  Method ParserHintAdapter.

  Parameters:
    `element` -
    `parserHint` -

Method Detail

### getAdapter

    public java.lang.Object getAdapter(java.lang.Class adapter)

  Specified by:
    `getAdapter` in interface `IAdaptable`
  See Also:
    `IAdaptable.getAdapter(Class)`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.